#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2026 by someone <someone@somenet.org>
#
---
- name: restart networking.service
  systemd:
    name: networking.service
    daemon_reload: yes
    state: restarted
  when: restart_network | bool
  ignore_errors: yes


- name: restart nftables.service
  systemd:
    name: nftables.service
    daemon_reload: yes
    state: restarted
  ignore_errors: yes


- name: restart fail2ban.service
  systemd:
    name: fail2ban.service
    daemon_reload: yes
    state: restarted
  ignore_errors: yes


- name: restart vnstat.service
  systemd:
    name: vnstat.service
    daemon_reload: yes
    state: restarted
  ignore_errors: yes
